[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomComboBox.GetItems

Signals the OnGetItems event handler.

## Declaration

Source position: stdctrls.pp line 361

`protected procedure TCustomComboBox.GetItems; virtual;`

## Description

GetItems is a procedure used to dynamically populate the values stored in the Items property. GetItems signals the OnGetItems event handler (when assigned) to perform actions needed to fill the Items property. GetItems is called from the IntfGetItems method executed when the widgetset class makes its drop-down list visible.

## See also

TCustomComboBox.Items |  | The list of items displayed in the combo-box control.
TCustomComboBox.OnGetItems |  | Handler invoked when widgetset items list can be populated.
TCustomComboBox.IntfGetItems |  | Gets the values in the Items property for the widgetset class.